<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td>{{ supplier.code }}</td>
    <td class="project-title">
        <a href="#">{{ supplier.name }}</a>
        <br>
        <small>{{ supplier.address }}</small>
    </td>
    <td class="project-title">
        <small>Contact Person: </small> {{ supplier.contact_person }} 
        <br>
        <small>Tel No.: </small> {{ supplier.tel_no }}
        <br>
        <small>Cell No.:</small> {{ supplier.cel_no }}
    </td>
    
    <td class="project-title">
        <small>Account: {{ supplier.bank_account }}</small><br>
        <small>Bank.:  {{ supplier.bank }}</small><br>
        <small>Branch:{{ supplier.branch }}</small>
    </td>
    <td class="project-actions">
        <button class="btn btn-white btn-sm" @click="del( supplier.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-sm" 
                @click="edit( supplier )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'supplier',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

